Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188823 - New wizard for creating constraint
New wizard for creating constraint
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Web Project
7.0
PC Linux
: P2 (vote)
: 7.0
Assigned To: Alexey Butenko
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 13:51 UTC by Alexey Butenko
Modified: 2010-07-24 03:38 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Butenko 2010-07-21 13:51:59 UTC
new wizard for creating constraint. Ask just for constrain package and class name and generate constraint for (METHOD, FIELD and ANNOTATION_TYPE). Message can be defaulted to package name and @Documented should be set. The wizard should have checkbox for "Generate Validator class" which if checked shows two editable fields: validator class name which is by default constraint class name + "Validator" and field for type which will be used to generate validator class. Both fields are mandatory. Wizard would generate constrain annotation and validator class.
Comment 1 Alexey Butenko 2010-07-21 14:00:27 UTC
Initial commit: http://hg.netbeans.org/web-main/rev/bc8683c9d28d
Comment 2 Alexey Butenko 2010-07-22 09:31:07 UTC
Wizard moved to separate module
http://hg.netbeans.org/web-main/rev/fc6737f62722
Comment 3 Alexey Butenko 2010-07-23 06:02:01 UTC
Close as fixed, since wizard is implemented. Lets consider type validation as a enhancement, which would be nice to have, but it requires some investigation first.
Comment 4 Quality Engineering 2010-07-24 03:38:28 UTC
Integrated into 'main-golden', will be available in build *201007240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/bc8683c9d28d
User: Alexey Butenko <alexeybutenko@netbeans.org>
Log: #188823 New wizard for creating constraint


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo